#coding:utf-8

'''
from JiuJiang
树莓酱的操作实例
https:://www.shumeijiang.com
'''

import sys
import time
import json
import jieba
import analysis as record
from classes.mongoConn import mongoConn

#命令
m_conn = mongoConn()
m_conn.set_collection('act.test')

#结束录音
stopDo = [u'停止录音', u'录音停止', u'录音完成', u'完成录音', u'停止识别']

#添加关键词
keyword  = [u'开灯', u'打开灯']
for i in keyword:
    jieba.add_word(i)


while True:
    try:
        text = record.listen()
        if not text:
            continue
        
        #检查停止条件
        stopStatus = False
        for i in stopDo:
            if i not in text:
                continue
            print(u'停止识别')
            stopStatus = True
            break
        if stopStatus == True:
            break

        print(u'语言是%s'% text)

        #切词
        cut = jieba.lcut(text)
        print(u'切词是%s'% '-'.join(cut))

        #sys.exit()

        act = ''
        for i in cut:
            if i not in keyword:
                continue
            act = u'开灯'

        #没有可执行则退出
        if len(act) == 0:
            print(u'没有发现可执行命令')
            break

        #命令写入
        subject = u'电灯'
        formatTime = time.strftime("%Y-%m-%d %H:%M:%S", time.localtime())
        params = {'subject': subject, 'act': act, 'status': 1, 'add_time': formatTime, 'act_dely':0}
        m_conn.do_write(params)
        print(u'命令写入成功')

    except KeyError:
        stream.close()
        p.terminate()
